const calcLogic = {
    replacables: [
        ['×', '*'],
        ['÷', '/'],
        ['−', '-'],
        ['π(', 'π*('],
        ['e(', 'e*('],
        [')π', ')*π'],
        [')e', ')*e'],
        ['√', 'Math.sqrt'],
        ['π', 'Math.PI'],
        ['e', 'Math.E'],
        [/(\d+)\(/g, '$1*('],
        [/\)(\d+)/g, ')*$1'],
        [/(\d+)(sin|cos|tg|ln)/g, '$1*$2'],
        ['sin', 'Math.sin'],
        ['cos', 'Math.cos'],
        ['tg', 'Math.tan'],
        ['^', '**'],
        ['ln', 'Math.log'],
        ['%', '/100'],
        [')(', ')*('],
    ],
    equation: '',
    resultOK: false,
    result: '',
    deleteLastChar() {
        this.equation = this.equation.slice(0, -1);
    },
    clear() {
        this.equation = '';
    },
    append(char) {
        this.equation += char;
    },
    calculate() {
        let equation = this.equation;
        this.replacables.forEach(replacable => {
            equation = equation.replaceAll(replacable[0], replacable[1]);
        });
        console.log(equation)

        this.equationOK = true;
        try {
            let result = eval(equation);
            this.result = result;
        } catch(e) {
            this.equationOK = false;
            this.result = 'Error';
        }

        if(!this.result) {
            this.result = '';
        }
    }
}

export default calcLogic;