import { StyleSheet, Text, View } from 'react-native'
import React, { Component } from 'react'

export default class ResultView extends Component {
  render() {
    return (
      <View style={styles.panel}>
        <Text style={styles.equation}>{this.props.equation}</Text>
        <Text style={styles.result}>{this.props.result}</Text>
      </View>
    )
  }
}

const styles = StyleSheet.create({
    panel: {
      padding: 20,
      alignItems: 'flex-end',
    },
    equation: {
      fontSize: 48,
      color: '#eee'
    },
    result: {
      fontSize: 24,
      color: '#eee'
    }
  });